Bug 571884 - The view template link under the parent column of the alert definitions opens the wrong url.
The view template link under the parent column of the alert definitions opens...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-03-09 14:21 EST by Preethi Thomas
Modified: 2013-09-02 03:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-03-09 14:21:21 EST
Description of problem:
The view template link under the parent column of the alert definitions opens the wrong url. 
http://localhost:7080/rhq/resource/alert/viewAlert.xhtml?type=10015&ad=10001

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a template Admin->System Configurations->Template
2.Open the resource that the template applies to
3.Click on the ALERT tab
4. Click on the "view template" link under the parent column of the alert definitions.
  
Actual results:
http://localhost:7080/rhq/resource/alert/viewAlert.xhtml?type=10015&ad=10001

Expected results:

Opens the template on the server Url.
Additional info:
Comment 2 Sunil Kondkar 2011-05-31 05:29:53 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

Created a alert template on platform and navigated to Alerts->Definitions tab of the platform resource. Clicking on the 'View template' link navigates correctly to the 'General Properties' tab of the alert template. (http://suniltest.usersys.redhat.com:7080/coregui/#Administration/Configuration/Templates/Alert/10008/10021)

Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:18:26 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.